/*----------------------------------------------------------
    MH-Z19 CO2 sensor  SAMPLE
  ----------------------------------------------------------*/

#include <MHZ19_uart.h>

const int rx_pin = 2;	//Serial tx pin no 2
const int tx_pin = 3;	//Serial rx pin no 3
int LED_Gruen = 6;
int LED_Gelb = 7;
int LED_Rot = 8;

MHZ19_uart mhz19;

/*----------------------------------------------------------
    MH-Z19 CO2 sensor  setup
  ----------------------------------------------------------*/
void setup() {
  Serial.begin(9600);
  mhz19.begin(rx_pin, tx_pin);
  mhz19.setAutoCalibration(false);

  pinMode(LED_Gruen, OUTPUT);
  pinMode(LED_Gelb, OUTPUT);
  pinMode(LED_Rot, OUTPUT);

  digitalWrite(LED_Gruen, HIGH);
  delay(1000);
  digitalWrite(LED_Gelb, HIGH);
  delay(1000);
  digitalWrite(LED_Rot, HIGH);
  delay(1000);
}

/*----------------------------------------------------------
    MH-Z19 CO2 sensor  loop
  ----------------------------------------------------------*/
void loop() {
  int co2ppm = mhz19.getPPM();
  int temp = mhz19.getTemperature();

  if (co2ppm<650){
    digitalWrite(LED_Gruen, HIGH);
    digitalWrite(LED_Gelb, LOW);
    digitalWrite(LED_Rot, LOW);
  }
  if (co2ppm>650 && co2ppm<850 ){
    digitalWrite(LED_Gruen, LOW);
    digitalWrite(LED_Gelb, HIGH);
    digitalWrite(LED_Rot, LOW);
  }
  if (co2ppm>850){
    digitalWrite(LED_Gruen, LOW);
    digitalWrite(LED_Gelb, LOW);
    digitalWrite(LED_Rot, HIGH);
  }
  Serial.print("co2: "); Serial.println(co2ppm);
  Serial.print("temp: "); Serial.println(temp);
  
  delay(5000);
}